/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomClipboard_H__
#define __GdomClipboard_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomClipboard GdomClipboard;
typedef struct _GdomClipboardClass GdomClipboardClass;


#define GDOM_TYPE_CLIPBOARD            (gdom_clipboard_get_type())
#define GDOM_CLIPBOARD(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CLIPBOARD, GdomClipboard))
#define GDOM_CLIPBOARD_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CLIPBOARD, GdomClipboard)Class)
#define GDOM_IS_CLIPBOARD(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CLIPBOARD))
#define GDOM_IS_CLIPBOARD_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CLIPBOARD))
#define GDOM_CLIPBOARD_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CLIPBOARD, GdomClipboardClass))

typedef struct _GdomClipboardPrivate GdomClipboardPrivate;

struct _GdomClipboard {
    GdomDOMObject parent_instance;
    GdomClipboardPrivate *priv;
};

struct _GdomClipboardClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_clipboard_get_type (void);


/* XXX TODO: custom function gdom_clipboard_clear_data */


/* XXX TODO: custom function gdom_clipboard_get_data */


/* XXX TODO: custom function gdom_clipboard_set_data */


/* XXX TODO: custom function gdom_clipboard_set_drag_image */

G_END_DECLS

#endif /* __GdomClipboard_H__ */
